Bug 980843 - RESTWorkItemHandler supports only GET and POST.
RESTWorkItemHandler supports only GET and POST.
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Core (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity urgent
: ER3
: 6.0.0
Assigned To: Maciej Swiderski
Marek Baluch
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-03 06:44 EDT by Marek Baluch
Modified: 2014-08-06 16:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:12:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Baluch 2013-07-03 06:44:13 EDT
The current implementation (in Beta4) accepts only GET and POST methods.

If another method is passed in then the HttpMethod object will not be initialized and a NPE will be thrown.
Comment 1 Maciej Swiderski 2013-08-26 11:16:14 EDT
additional HTTP methods has been added 
PUT
DELETE

which with already supported (GET and POST) covers most usage scenarios based on CRUD.

Commit 
https://github.com/droolsjbpm/jbpm/commit/5f27171d58f198f95690bcc24e5e16817ab18879
Comment 2 Marek Baluch 2013-09-19 09:42:47 EDT
Verified on ER3.

Note You need to log in before you can comment on or make changes to this bug.